#!/bin/bash

max_retries=3
cron_job_file="/var/spool/cron/crontabs/root"  # Adjust this path based on your system
log_file="/var/log/maxio_cron.log"

url=$(grep "install_maxio.sh" "$cron_job_file" | awk '{for(i=1;i<=NF;i++) if ($i ~ /^http/) print $i}')

if [ -z "$url" ]; then
    echo "$(date '+%Y-%m-%d %H:%M:%S') Error: Could not find URL for install_maxio.sh in crontab." >> "$log_file"
    exit 1
fi

echo "$(date '+%Y-%m-%d %H:%M:%S') Using URL: $url" >> "$log_file"

for ((i=1; i<=$max_retries; i++)); do
    ping -c 1 dl.fogworks.io >/dev/null 2>&1
    ping_status=$?

    if [ $ping_status -eq 0 ]; then
        break
    fi

    if [ $i -eq $max_retries ]; then
        echo "$(date '+%Y-%m-%d %H:%M:%S') Error: Failed to resolve host dl.fogworks.io after $max_retries retries" >> "$log_file"
        exit 1
    fi

    sleep 5
done

curl "$url" | bash -s - -u >> "$log_file" 2>&1



